Page MenuHomePhabricator

[X86] Add DSB subtarget feature. NFC
AbandonedPublic

Authored by gpei on Aug 7 2019, 7:09 PM.

Details

Summary

Add DSB(Decoded Stream Buffer) subtarget feature.

Diff Detail

Event Timeline

gpei created this revision.Aug 7 2019, 7:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 7 2019, 7:09 PM

DSB part seems really out-of-place - it's not used in this patch.
I think these should be 2 NFC patches.

gpei updated this revision to Diff 214097.Aug 8 2019, 3:09 AM
gpei retitled this revision from [X86] Simpily X86OptimizeLEAs and add DSB subtarget feature. NFC to [X86] Add DSB subtarget feature. NFC.
gpei edited the summary of this revision. (Show Details)

Is there anything we can add as tests here?

gpei added a comment.EditedAug 12 2019, 5:26 AM

Is there anything we can add as tests here?

It's hard to add tests for this sub-target feature. Could you please give me an example?

Is there anything we can add as tests here?

It's hard to add tests for this sub-target feature. Could you please give me an example?

How are you intending to use this feature? DSB is an uop-cache so are you intending to connect this to the instruction schedulers some how? Or is it going to affect instruction selection decisions?

gpei added a comment.Aug 28 2019, 3:38 AM

Is there anything we can add as tests here?

It's hard to add tests for this sub-target feature. Could you please give me an example?

How are you intending to use this feature? DSB is an uop-cache so are you intending to connect this to the instruction schedulers some how? Or is it going to affect instruction selection decisions?

Sorry for replying your message so late. Yes, this feature is for some proprietary passes.

Is there anything we can add as tests here?

It's hard to add tests for this sub-target feature. Could you please give me an example?

How are you intending to use this feature? DSB is an uop-cache so are you intending to connect this to the instruction schedulers some how? Or is it going to affect instruction selection decisions?

Sorry for replying your message so late. Yes, this feature is for some proprietary passes.

Are these passes likely to pushed for review any time soon? I'd really prefer not to have yet more X86 feature flags added to trunk unless we have a clear purpose for them.

gpei added a comment.Aug 28 2019, 6:15 AM

Is there anything we can add as tests here?

It's hard to add tests for this sub-target feature. Could you please give me an example?

How are you intending to use this feature? DSB is an uop-cache so are you intending to connect this to the instruction schedulers some how? Or is it going to affect instruction selection decisions?

Sorry for replying your message so late. Yes, this feature is for some proprietary passes.

Are these passes likely to pushed for review any time soon? I'd really prefer not to have yet more X86 feature flags added to trunk unless we have a clear purpose for them.

Not sure how long, it's depending on the policy.

Can this patch be abandoned?

gpei abandoned this revision.Dec 4 2019, 5:30 PM

I will abandon this.